Skip to main content
PUT
Update a contact

Path Parameters

id
string
required

Contact ID

Body

application/json
is_favorite
boolean
required

Favorite flag

address_line1
string

Address line 1

Maximum string length: 255
address_line2
string

Address line 2

Maximum string length: 255
avatar_url
string

Avatar URL

Maximum string length: 500
city
string

City

Maximum string length: 100
company
string

Company

Maximum string length: 255
country
string

Country

Maximum string length: 100
email
string

Email

Maximum string length: 255
first_name
string

First name

Maximum string length: 255
job_title
string

Job title

Maximum string length: 255
last_name
string

Last name

Maximum string length: 255
linked_user_id
string

Linked user ID

middle_name
string

Middle name

Maximum string length: 255
nickname
string

Nickname

Maximum string length: 255
notes
string

Notes

phone_primary
string

Primary phone

Maximum string length: 50
phone_secondary
string

Secondary phone

Maximum string length: 50
phone_work
string

Work phone

Maximum string length: 50
postal_code
string

Postal code

Maximum string length: 20
state_province
string

State/Province

Maximum string length: 100
tags
string[] | null

Tags

website
string

Website URL

Maximum string length: 255

Response

OK

address_line1
string | null
required

Address line 1

address_line2
string | null
required

Address line 2

avatar_url
string | null
required

Avatar URL

city
string | null
required

City

company
string | null
required

Company

country
string | null
required

Country

created_at
string<date-time>
required

Created timestamp

email
string | null
required

Email address

first_name
string | null
required

First name

id
string
required

Contact ID

is_favorite
boolean
required

Marked as favorite

job_title
string | null
required

Job title

last_name
string | null
required

Last name

linked_user_id
string
required

Linked system user ID

middle_name
string | null
required

Middle name

nickname
string | null
required

Nickname

notes
string | null
required

Notes

org_id
string
required

Organization ID (null = personal)

owner_id
string
required

Owner user ID

phone_primary
string | null
required

Primary phone

phone_secondary
string | null
required

Secondary phone

phone_work
string | null
required

Work phone

postal_code
string | null
required

Postal code

state_province
string | null
required

State/Province

tags
string[] | null
required

Tags

updated_at
string<date-time>
required

Updated timestamp

website
string | null
required

Website URL

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/Contact.json"

Last modified on June 11, 2026